# spec file for package hdaudio
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugzilla.suse.com/

#
# norootforbuild
# needssslcertforbuild

Name:           hdaudio
BuildRequires:  %kernel_module_package_buildreqs
License:        GPL-2.0
Group:          System/Kernel
Summary:        HD-audio KMP for Skylake
Version:        3.12
Release:        2.10
Source:         hdaudio-3.12.tar.xz
Patch1:         reenable-i915.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64
%kernel_module_package

%description
HD-audio KMP for Skylake with enablement of i915 DP/HDMI

%prep 
%setup -q -c -a 0
%patch1 -p1
echo "obj-y := sound/pci/hda/" > Makefile
echo "snd-hda-codec-analog.ko
snd-hda-codec-ca0110.ko
snd-hda-codec-ca0132.ko
snd-hda-codec-cirrus.ko
snd-hda-codec-cmedia.ko
snd-hda-codec-conexant.ko
snd-hda-codec-hdmi.ko
snd-hda-codec-idt.ko
snd-hda-codec-realtek.ko
snd-hda-codec-si3054.ko
snd-hda-codec-via.ko
snd-hda-codec.ko
snd-hda-intel.ko" > Module.supported

%build
# copy to each flavor
set -- *
for flavor in %flavors_to_build; do
  mkdir -p build-$flavor && cp -al "$@" build-$flavor
done
for flavor in %flavors_to_build; do
  make %{?jobs:-j %jobs} -C /usr/src/linux-obj/%_target_cpu/$flavor \
    M=$(pwd)/build-$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
export BRP_PESIGN_FILES="*.ko"
for flavor in %flavors_to_build; do
  make -C /usr/src/linux-obj/%_target_cpu/$flavor \
    M=$(pwd)/build-$flavor \
    modules_install
done

%changelog
* Wed Sep 30 2015 tiwai@suse.de
- based on SLE12-SP1 RC1
